Subject: bug#13594: 24.2.92; [PATCH] compilation-start doesn't consider nil OUTWIN

From: Stefan Monnier <[email-masked]>
Date: Thu, 07 Feb 2013 08:36:56 -0500

> will return nil (since nil is a valid return value it's a bug when callers
> of `display-buffer' don't check for nil, these callers should be fixed).

It's a valid return value, but only when display-buffer is *unable to
display the buffer*.  It is *very* rare to be unable to do so.  E.g. it
will never happen unless at least one of pop-up-frame-function or
display-buffer-fallback-action is changed.

So it's no wonder that most callers don't bother checking for a nil
return value.

Maybe a way around that is to use a special window that's never
displayed.  But that might introduce more trouble than it's trying
to solve.

        Stefan